Bug 1002959 - Compiling produces a lot of undefined variable warnings
Compiling produces a lot of undefined variable warnings
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: chicken (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ricky Elrod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 07:12 EDT by Banana Fool
Modified: 2013-09-18 13:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: chicken-4.8.0.4-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 09:00:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Banana Fool 2013-08-30 07:12:23 EDT
Fedora package adds the make_cflags_work.patch that adds this line to Chicken's default.make:

C_COMPILER_OPTIONS += $(CFLAGS)

CFLAGS contains -Wall that causes gcc to complain about undefined variables that Chicken generates, eg.

$ cat > hello.scm
(display "Hello, World!\n")
$ csc hello.scm
hello.c: In function ‘f_13’:
hello.c:50:8: warning: unused variable ‘t4’ [-Wunused-variable]
 C_word t4;
        ^
hello.c: In function ‘C_toplevel’:
hello.c:71:8: warning: unused variable ‘t3’ [-Wunused-variable]
 C_word t3;
        ^
hello.c: In function ‘f_11’:
hello.c:97:8: warning: unused variable ‘t3’ [-Wunused-variable]
 C_word t3;
        ^
hello.c: In function ‘f_15’:
hello.c:110:9: warning: unused variable ‘a’ [-Wunused-variable]
 C_word *a;
         ^
hello.c:108:8: warning: unused variable ‘tmp’ [-Wunused-variable]
 C_word tmp;
        ^
hello.c: In function ‘f_18’:
hello.c:118:9: warning: unused variable ‘a’ [-Wunused-variable]
 C_word *a;
         ^
hello.c:116:8: warning: unused variable ‘tmp’ [-Wunused-variable]
 C_word tmp;
        ^
hello.c: In function ‘f_9’:
hello.c:126:8: warning: unused variable ‘t3’ [-Wunused-variable]
 C_word t3;
        ^
hello.c: At top level:
hello.c:20:15: warning: ‘C_possibly_force_alignment’ defined but not used [-Wunused-variable]
 static double C_possibly_force_alignment;
               ^
hello.c:21:21: warning: ‘li0’ defined but not used [-Wunused-variable]
 static C_char C_TLS li0[] C_aligned={C_lihdr(0,0,10),40,116,111,112,108,101,118,101,108,41,0,0,0,0,0,0};
                     ^
Comment 1 Christopher Meng 2013-08-30 09:15:13 EDT
I'm sorry, but I think you've reported a wrong bug.
Comment 2 Fedora Update System 2013-09-02 07:08:35 EDT
chicken-4.8.0.4-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/chicken-4.8.0.4-3.fc19
Comment 3 Fedora Update System 2013-09-02 07:27:10 EDT
chicken-4.8.0.4-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/chicken-4.8.0.4-3.fc18
Comment 4 Fedora Update System 2013-09-02 19:31:37 EDT
Package chicken-4.8.0.4-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing chicken-4.8.0.4-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15675/chicken-4.8.0.4-3.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-03 04:56:00 EDT
chicken-4.8.0.4-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/chicken-4.8.0.4-3.el6
Comment 6 Fedora Update System 2013-09-18 09:00:09 EDT
chicken-4.8.0.4-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-18 09:09:43 EDT
chicken-4.8.0.4-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-09-18 13:40:12 EDT
chicken-4.8.0.4-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.